DECLARE @idoc int
DECLARE @doc varchar(8000)

SELECT @doc = 
'
<ROOT>
   <CUSTOMERS CUSTOMER_ID="ENGN" COMPANY_NAME="engn Limited" ADDRESS="Technology Park, Antrim">
      <ORDERS ORDER_DATE="2000-01-02T00:00:00" SHIP_NAME="A2B Shipping" SHIP_ADDRESS="Antrim BC" ORDER_ID="2">
         <ORDER_DETAILS PRODUCT_ID="10" UNIT_PRICE="10.0000" QUANTITY="1000">
            <PRODUCTS PRODUCT_NAME="Dohickeys"/>
         </ORDER_DETAILS>
         <ORDER_DETAILS PRODUCT_ID="11" UNIT_PRICE="20.0000" QUANTITY="500">
            <PRODUCTS PRODUCT_NAME="Thingimeys"/>
         </ORDER_DETAILS>
         <ORDER_DETAILS PRODUCT_ID="12" UNIT_PRICE="30.0000" QUANTITY="100">
            <PRODUCTS PRODUCT_NAME="Wotsits"/>
         </ORDER_DETAILS>
      </ORDERS>
      <ORDERS ORDER_DATE="2000-02-15T00:00:00" SHIP_NAME="A2B Shipping" SHIP_ADDRESS="Cookstown BC" ORDER_ID="4">
         <ORDER_DETAILS PRODUCT_ID="1" UNIT_PRICE="1.0000" QUANTITY="1">
            <PRODUCTS PRODUCT_NAME="Widgets"/>
         </ORDER_DETAILS>
         <ORDER_DETAILS PRODUCT_ID="2" UNIT_PRICE="1.0000" QUANTITY="1">
            <PRODUCTS PRODUCT_NAME="Sprockets"/>
         </ORDER_DETAILS>
         <ORDER_DETAILS PRODUCT_ID="3" UNIT_PRICE="1.0000" QUANTITY="1">
            <PRODUCTS PRODUCT_NAME="Dodaas"/>
         </ORDER_DETAILS>
         <ORDER_DETAILS PRODUCT_ID="10" UNIT_PRICE="1.0000" QUANTITY="1">
            <PRODUCTS PRODUCT_NAME="Dohickeys"/>
         </ORDER_DETAILS>
         <ORDER_DETAILS PRODUCT_ID="11" UNIT_PRICE="1.0000" QUANTITY="1">
            <PRODUCTS PRODUCT_NAME="Thingimeys"/>
         </ORDER_DETAILS>
         <ORDER_DETAILS PRODUCT_ID="12" UNIT_PRICE="1.0000" QUANTITY="1">
            <PRODUCTS PRODUCT_NAME="Wotsits"/>
         </ORDER_DETAILS>
      </ORDERS>
   </CUSTOMERS>
   <CUSTOMERS CUSTOMER_ID="TASK01" COMPANY_NAME="Task Software Limited" ADDRESS="Technology Park, Antrim">
      <ORDERS ORDER_DATE="2000-01-01T00:00:00" SHIP_NAME="A2B Shipping" SHIP_ADDRESS="Technology Park, Belfast Road, Antrim" ORDER_ID="1">
         <ORDER_DETAILS PRODUCT_ID="1" UNIT_PRICE="100.0000" QUANTITY="10">
            <PRODUCTS PRODUCT_NAME="Widgets"/>
         </ORDER_DETAILS>
         <ORDER_DETAILS PRODUCT_ID="2" UNIT_PRICE="200.0000" QUANTITY="20">
            <PRODUCTS PRODUCT_NAME="Sprockets"/>
         </ORDER_DETAILS>
         <ORDER_DETAILS PRODUCT_ID="3" UNIT_PRICE="300.0000" QUANTITY="30">
            <PRODUCTS PRODUCT_NAME="Dodaas"/>
         </ORDER_DETAILS>
      </ORDERS>
      <ORDERS ORDER_DATE="2000-02-01T00:00:00" SHIP_NAME="XYZ Shipping" SHIP_ADDRESS="Ballymena BC" ORDER_ID="3">
         <ORDER_DETAILS PRODUCT_ID="1" UNIT_PRICE="1.0000" QUANTITY="100">
            <PRODUCTS PRODUCT_NAME="Widgets"/>
         </ORDER_DETAILS>
         <ORDER_DETAILS PRODUCT_ID="2" UNIT_PRICE="10.0000" QUANTITY="10">
            <PRODUCTS PRODUCT_NAME="Sprockets"/>
         </ORDER_DETAILS>
      </ORDERS>
   </CUSTOMERS>
</ROOT>
'

-- Create an internal representation of the XML document.
EXEC sp_xml_preparedocument @idoc OUTPUT, @doc

-- Execute a SELECT statement using OPENXML rowset provider.
SELECT *
FROM OPENXML (@idoc, '/ROOT/CUSTOMERS/ORDERS/ORDER_DETAILS/PRODUCTS', 1)
      WITH (CUSTOMER_ID  varchar(10) 	'../../../@CUSTOMER_ID',
            COMPANY_NAME varchar(50) 	'../../../@COMPANY_NAME',
						ADDRESS varchar(50) 			'../../../@ADDRESS', 
						ORDER_DATE datetime 			'../../@ORDER_DATE',
						SHIP_NAME varchar(50) 		'../../@SHIP_NAME',
						SHIP_ADDRESS varchar(50) 	'../../@SHIP_ADDRESS',
						PRODUCT_ID integer 				'../@PRODUCT_ID',
						PRODUCT_NAME VARCHAR(50),
						UNIT_PRICE money 					'../@UNIT_PRICE',
						QUANTITY integer 					'../@QUANTITY')

-- Cleanup
EXEC sp_xml_removedocument @idoc
